curl --request POST \
--url https://api.fabric.inc/v3/offers-exports/actions/download-export-file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"fileId": "redemption/tenantId/1687472972-redemption-export.csv"
}
'import requests
url = "https://api.fabric.inc/v3/offers-exports/actions/download-export-file"
payload = { "fileId": "redemption/tenantId/1687472972-redemption-export.csv" }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fileId: 'redemption/tenantId/1687472972-redemption-export.csv'})
};
fetch('https://api.fabric.inc/v3/offers-exports/actions/download-export-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://bucket-name.s3.amazonaws.com/redemption/tenantId/1687472972-redemption-export.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIA26KLJWUAPER5A",
"fileId": "redemption/tenantId/1687472972-redemption-export.csv"
}{
"type": "FILE_EXPIRED",
"message": "Exported file has expired"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Download exported CSV file
This endpoint lets you generate a URL, using fileId, from which you can download the exported CSV file. The generated URL expires in five mins.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24The sales channel ID.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Body
The downloadable URL of the file.
The fileId value retrieved from the get export request by ID endpoint. This is used to download the exported CSV.
"redemption/tenantId/1687472972-redemption-export.csv"
Response
OK
The URL of the downloadable CSV.
The AWS S3 URL to download the exported CSV.
"https://bucket-name.s3.amazonaws.com/redemption/tenantId/1687472972-redemption-export.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIA26KLJWUAPER5A"
The S3 fileId value to generate a downloadable CSV.
"redemption/tenantId/1687472972-redemption-export.csv"
Was this page helpful?
